Index: SRC/src/fr/triangle/hyperalign/gui/annot/AnnotEquiPane.java
===================================================================
--- SRC/src/fr/triangle/hyperalign/gui/annot/AnnotEquiPane.java	(revision 18)
+++ SRC/src/fr/triangle/hyperalign/gui/annot/AnnotEquiPane.java	(revision 19)
@@ -711,244 +352,13 @@
 		manager.reinitHyperalignPane(true, HyperalignData.DATA_EQUIVALENCE, true);
 	}
 
-	private void export(){
-		JRadioButton exportOccButton = new JRadioButton(res.getString("I18N_EQUIVALENCEPANE_EXPORT_CHOICE_1"));
-		exportOccButton.setActionCommand(AnnotEquiPane.EXPORT_OCC);
-		exportOccButton.setSelected(true);
 
-		JRadioButton exportAuthButton = new JRadioButton(res.getString("I18N_EQUIVALENCEPANE_EXPORT_CHOICE_2"));
-		exportAuthButton.setActionCommand(AnnotEquiPane.EXPORT_AUTHOR);
 
-		JRadioButton exportImageButton = new JRadioButton(res.getString("I18N_EQUIVALENCEPANE_EXPORT_CHOICE_3"));
-		exportImageButton.setActionCommand(AnnotEquiPane.EXPORT_IMAGE);
 
-		//Group the radio buttons.
-		ButtonGroup group = new ButtonGroup();
-		group.add(exportOccButton);
-		group.add(exportAuthButton);
-		group.add(exportImageButton);
 
-		//Register a listener for the radio buttons.
-		exportOccButton.addActionListener(this);
-		exportAuthButton.addActionListener(this);
-		exportImageButton.addActionListener(this);
-
-		String message = res.getString("I18N_EQUIVALENCEPANE_EXPORT_MESSAGE");  
-		Object[] params = {message, exportOccButton, exportAuthButton, exportImageButton};  
-		int n = JOptionPane.showConfirmDialog(this, params, res.getString("I18N_EQUIVALENCEPANE_EXPORT_TITLE"), JOptionPane.YES_NO_OPTION);  
-		if(n==0) {
-			if(export.equals(AnnotEquiPane.EXPORT_AUTHOR)){
-				exportEquivalencesByAuthor();
-			}
-			if(export.equals(AnnotEquiPane.EXPORT_OCC)){
-				exportEquivalences();
-			}
-			if(export.equals(AnnotEquiPane.EXPORT_IMAGE)){
-				exportImage();
-			}
-			
-		}
-		
-	}
-
-	/*
-	 * Sort equivalence elements by text (author) 
-	 */
-
-
-	private void showGraphByAuthor(){
-		tradManager.buildInfoForGraph(sourceElement, targetLang, neighbourhoodWidth, true, selectedAuthor);
-		manager.reinitHyperalignPane(Hypermachiavel.EQUIGRAPH_TAB, true, true);
-	}
-
-	
-	/*private HashMap<DictionaryElement, HashMap<HyperalignText, Integer>> showEquivalencesByAuthor(){
-		HashMap<DictionaryElement, HashMap<HyperalignText, Integer>> equivalencesByAuthor = new HashMap<DictionaryElement, HashMap<HyperalignText,Integer>>();
-		if(conceptEquivalenceElements!=null){
-			if(conceptEquivalenceElements.size()>=1){
-				ConceptEquivalenceElement conceptEquiEl = conceptEquivalenceElements.get(0);
-				Vector<HyperalignText> textsForTargetLang = tradManager.getDictionaryAndTextForEquivalences().get(targetLang);
-
-				HashMap<Object, Vector<OccurrenceSet>> occsByConcept = conceptEquiEl.getOccurrences();
-				Set keys = occsByConcept.keySet();
-				Iterator itC = keys.iterator();
-				while(itC.hasNext()){
-					Object obj = itC.next();
-					Vector<OccurrenceSet> occs = occsByConcept.get(obj);
-					if(obj instanceof DictionaryElement){
-						DictionaryElement element = (DictionaryElement) obj;
-						//DATA, one line per concept
-						HashMap<HyperalignText, Integer> equivalences = addOccsByText(occs, textsForTargetLang);
-						equivalencesByAuthor.put(element, equivalences);
-					}else {
-						String element = (String) obj;
-					}
-					
-					
-				}
-				
-			}
-		}
-		return equivalencesByAuthor;
-	}*/
-
-	
-	private void exportImage(){
-		graph.exportImage();
-		manager.sendMessage();
-		
-	}
-	
-	private void exportEquivalences(){
-		String csvLine = "";
-		int nbCols = resultTableModel.getColumnCount();
-		for(int col = 0 ; col < nbCols ; ++col){
-			csvLine+= resultTableModel.getColumnName(col);
-			if(col!=nbCols-1){
-				csvLine+=";";
-			}
-		}
-		csvLine+="\n";
-		int nbRows = resultTableModel.getRowCount();
-		for(int row = 0 ; row < nbRows; ++row){
-			nbCols = resultTableModel.getColumnCount();
-			for(int col = 0 ; col < nbCols ; ++col){
-				csvLine+= resultTableModel.getValueAt(row, col);
-				if(col!=nbCols-1){
-					csvLine+=";";
-				}
-			}
-			csvLine+="\n";
-		}
-		manager.saveWork(csvLine);
-	}
-	
-	private void exportEquivalencesByAuthor(){
-		if(conceptEquivalenceElements!=null){
-			if(conceptEquivalenceElements.size()>=1){
-				ConceptEquivalenceElement conceptEquiEl = conceptEquivalenceElements.get(0);
-				String csvLine = "";
-				csvLine += res.getString("I18N_EQUIVALENCEPANE_EXPORTAUTHOR_LABEL1")+conceptEquiEl.getName()+
-				" ["+sourceLang.getName()+"] "+
-				nbOccSourceInEqui+" "+res.getString("I18N_EQUIVALENCEPANE_EXPORTAUTHOR_LABEL2")+";";
-				csvLine = tradManager.exportEquivalencesByAuthor(sourceElement, conceptEquivalenceElements, csvLine, targetLang);
-				manager.saveWork(csvLine);
-			}
-		}
-	}
-
-	private void searchForEquivalences(){
-		///////////////// PREPARE SOURCE TEXTS ////////////
-		HashMap<Dictionary, Vector<HyperalignText>> textsAndTerminos = tradManager.getDictionaryAndTextForEquivalences();
-		Vector<HyperalignText> sourceTexts = textsAndTerminos.get(sourceLang);
-		Vector<HyperalignText> targetTexts = textsAndTerminos.get(targetLang);
-
-		HashMap<String, Dictionary> doubleLang = new HashMap<String, Dictionary>();
-		HashMap<String, Vector<HyperalignText>> doubleTexts = new HashMap<String, Vector<HyperalignText>>();
-		HashMap<String, String[]> doubleWords = new HashMap<String, String[]>();
-
-		String source = ResultManager.SOURCE_SEARCH;
-		String target = ResultManager.TARGET_SEARCH;
-		//LANGS 
-		doubleLang.put(source, sourceLang);
-		doubleLang.put(target, targetLang);
-
-		//TEXTS
-		doubleTexts.put(source, sourceTexts);
-		doubleTexts.put(target, targetTexts);
-
-		//WORDS
-		Vector<String> words = new Vector<String>();
-		Vector<String> wordsTarget = new Vector<String>();
-
-		Set<ConceptEquivalenceElement> keys = selectedEquivalences.keySet();
-		Iterator<ConceptEquivalenceElement> it = keys.iterator();
-		while(it.hasNext()){
-			ConceptEquivalenceElement conceptSource = (ConceptEquivalenceElement) it.next();
-
-			//SOURCE ELEMENT
-			if(conceptSource.getDictionaryElement()!=null){
-				DictionaryElement concept = conceptSource.getDictionaryElement();
-				Vector<DictionaryElement> terms = concept.children();
-				for (int j = 0; j < terms.size(); j++) {
-					DictionaryElement term = terms.get(j);
-					words.add(term.getName());
-				}				
-			}else {
-				words.add(conceptSource.getName());
-			}
-
-			//TARGET ELEMENT
-			Object obj = selectedEquivalences.get(conceptSource);
-			if(obj instanceof DictionaryElement){
-				DictionaryElement concept = (DictionaryElement) obj;
-				Vector<DictionaryElement> terms = concept.children();
-				for (int j = 0; j < terms.size(); j++) {
-					DictionaryElement term = terms.get(j);
-					wordsTarget.add(term.getName());
-				}	
-			}else {
-				wordsTarget.add((String) obj);
-			}
-		}
-
-		String [] wordsS = new String[words.size()];
-		for (int i = 0; i < words.size(); i++) {
-			wordsS[i] = words.get(i);
-		}
-		String [] wordsT = new String[wordsTarget.size()];
-		for (int i = 0; i < wordsTarget.size(); i++) {
-			wordsT[i] = wordsTarget.get(i);
-		}
-		doubleWords.put(source, wordsS);
-		doubleWords.put(target, wordsT);
-		manager.getSearchManager().searchEquiWords(sourceTexts, targetTexts, doubleLang, 
-				doubleWords, doubleTexts);
-
-		//manager.getSearchManager().searchEquiTerms(sourceTexts, targetTexts, querySourceTerms, sourceLang, queryTargetTerms, targetLang);
-	}
-
-	private void showInfoAboutTarget(){
-		System.out.println("EquivalencePane.showInfoAboutTarget() TO REDO !!!");
-		//recuperer la ligne avec le concept source et target
-		/*if(selectedTerminoEquivalences.size()!=0){
-			TerminologyElement[] setTerminoEqui = selectedTerminoEquivalences.get(0);
-			TerminologyElement source = setTerminoEqui[0];
-			TerminologyElement target = setTerminoEqui[1];
-			EquiInfoPane infoPane = new EquiInfoPane(source, target);
-			infoPane.setAlwaysOnTop(true);	
-		}*/
-	}
-
-	private void showEquivalences(){
-		selectedTargetEquivalences = new Vector<EquivalenceElement>();
-		if(selectedEquivalences.size()!=0){
-			Set<ConceptEquivalenceElement> keys = selectedEquivalences.keySet();
-			Iterator<ConceptEquivalenceElement> it = keys.iterator();
-			while(it.hasNext()){
-				ConceptEquivalenceElement concept = it.next();
-				HashMap<Object, Vector<OccurrenceSet>> occs = concept.getOccurrences();
-				Object obj = selectedEquivalences.get(concept);
-				Vector<OccurrenceSet> occSets = occs.get(obj);
-				for (int j = 0; j < occSets.size(); j++) {
-					OccurrenceSet occSet = occSets.get(j);
-					EquivalenceElement equiEl = occSet.getEquivalence();
-					if(!selectedTargetEquivalences.contains(equiEl)){
-						selectedTargetEquivalences.add(equiEl);						
-					}
-				}				
-			}
-			manager.showEquiElements(selectedTargetEquivalences, targetLang, sourceLang);
-		}
-	}
-
-
-
-
 	@Override
 	public void actionPerformed(ActionEvent e) {
 		String cmd = e.getActionCommand();
-		export = cmd;
 	}
 
 	/** This method clears the dialog and hides it. */
@@ -989,36 +399,12 @@
 					OccurrenceSet occ = (OccurrenceSet) obj2;
 					DictionaryElement dicoEl = occ.getDictionaryElement();
 					if(dicoEl!=null) {
-						manager.displayTextWithHighlightsForDictionary(dicoEl, selectedText);
+						manager.getCorpusController().displayTextWithHighlightsForDictionary(dicoEl, selectedText);
 					}
 				}
 			}
 		}
-		if(e.getSource().equals(listResultTable)){
-			if (e.getClickCount() == 2 || e.getClickCount() == 1){
-				int [] rows = listResultTable.getSelectedRows();
-				selectedEquivalences = new HashMap<ConceptEquivalenceElement,Object>();
-				System.out.println("AnnotEquiPane.mouseClicked() "+rows.length+" rows"); 
-
-				for(int i = 0 ; i < rows.length;++i){
-					int row = rows[i];
-
-					ConceptEquivalenceElement concept = (ConceptEquivalenceElement) resultTableModel.getValueAt(row, 0);
-					Object obj = (Object) resultTableModel.getValueAt(row, 1);
-					if(obj instanceof DictionaryElement){
-						DictionaryElement target = (DictionaryElement) obj;
-						selectedEquivalences.put(concept, target);
-						System.out.println("AnnotEquiPane.mouseClicked() at row "+row+" ["+concept.getName()+"] with Dico El - "+target.getName()+" - "); 
-
-					}else {
-						selectedEquivalences.put(concept, (String) obj);
-						System.out.println("AnnotEquiPane.mouseClicked() at row "+row+" ["+concept.getName()+"] with String - "+(String) obj+" - "); 
-
-					}
-					graph.highlightTarget(concept);
-				}
-			}
-		}
+	
 	}
 
 	@Override
@@ -1041,22 +427,5 @@
 		// forwardEventToButton(e);
 	}
 
-	@Override
-	public void itemStateChanged(ItemEvent e) {
-		Object source = e.getItemSelectable();
 
-		if (source == graphSizeBox) {
-			if (e.getStateChange() == ItemEvent.DESELECTED){
-				withSizes = false;
-			}
-			if (e.getStateChange() == ItemEvent.SELECTED){
-				withSizes = true;
-				
-			}
-			initGuiWithTable();
-
-		}
-
-	}
-
 }
Index: SRC/src/fr/triangle/hyperalign/gui/annot/ButtonColumn.java
===================================================================
--- SRC/src/fr/triangle/hyperalign/gui/annot/ButtonColumn.java	(revision 0)
+++ SRC/src/fr/triangle/hyperalign/gui/annot/ButtonColumn.java	(revision 19)
@@ -0,0 +1,225 @@
+package fr.triangle.hyperalign.gui.annot;
+
+import java.awt.*;
+import java.awt.event.*;
+import javax.swing.*;
+import javax.swing.border.*;
+import javax.swing.table.*;
+
+/**
+ *  The ButtonColumn class provides a renderer and an editor that looks like a
+ *  JButton. The renderer and editor will then be used for a specified column
+ *  in the table. The TableModel will contain the String to be displayed on
+ *  the button.
+ *
+ *  The button can be invoked by a mouse click or by pressing the space bar
+ *  when the cell has focus. Optionally a mnemonic can be set to invoke the
+ *  button. When the button is invoked the provided Action is invoked. The
+ *  source of the Action will be the table. The action command will contain
+ *  the model row number of the button that was clicked.
+ *
+ */
+public class ButtonColumn extends AbstractCellEditor
+	implements TableCellRenderer, TableCellEditor, ActionListener, MouseListener
+{
+	private JTable table;
+	private Action action;
+	private int mnemonic;
+	private Border originalBorder;
+	private Border focusBorder;
+
+	private JButton renderButton;
+	private JButton editButton;
+	private Object editorValue;
+	private boolean isButtonColumnEditor;
+
+	/**
+	 *  Create the ButtonColumn to be used as a renderer and editor. The
+	 *  renderer and editor will automatically be installed on the TableColumn
+	 *  of the specified column.
+	 *
+	 *  @param table the table containing the button renderer/editor
+	 *  @param action the Action to be invoked when the button is invoked
+	 *  @param column the column to which the button renderer/editor is added
+	 */
+	public ButtonColumn(JTable table, Action action, int column)
+	{
+		this.table = table;
+		this.action = action;
+
+		renderButton = new JButton();
+		editButton = new JButton();
+		editButton.setFocusPainted( false );
+		editButton.addActionListener( this );
+		originalBorder = editButton.getBorder();
+		setFocusBorder( new LineBorder(Color.BLUE) );
+
+		TableColumnModel columnModel = table.getColumnModel();
+		columnModel.getColumn(column).setCellRenderer( this );
+		columnModel.getColumn(column).setCellEditor( this );
+		table.addMouseListener( this );
+	}
+
+
+	/**
+	 *  Get foreground color of the button when the cell has focus
+	 *
+	 *  @return the foreground color
+	 */
+	public Border getFocusBorder()
+	{
+		return focusBorder;
+	}
+
+	/**
+	 *  The foreground color of the button when the cell has focus
+	 *
+	 *  @param focusBorder the foreground color
+	 */
+	public void setFocusBorder(Border focusBorder)
+	{
+		this.focusBorder = focusBorder;
+		editButton.setBorder( focusBorder );
+	}
+
+	public int getMnemonic()
+	{
+		return mnemonic;
+	}
+
+	/**
+	 *  The mnemonic to activate the button when the cell has focus
+	 *
+	 *  @param mnemonic the mnemonic
+	 */
+	public void setMnemonic(int mnemonic)
+	{
+		this.mnemonic = mnemonic;
+		renderButton.setMnemonic(mnemonic);
+		editButton.setMnemonic(mnemonic);
+	}
+
+	@Override
+	public Component getTableCellEditorComponent(
+		JTable table, Object value, boolean isSelected, int row, int column)
+	{
+		if (value == null)
+		{
+			editButton.setText( "" );
+			editButton.setIcon( null );
+		}
+		else if (value instanceof Icon)
+		{
+			editButton.setText( "" );
+			editButton.setIcon( (Icon)value );
+		}
+		else
+		{
+			editButton.setText( value.toString() );
+			editButton.setIcon( null );
+		}
+
+		this.editorValue = value;
+		return editButton;
+	}
+
+	@Override
+	public Object getCellEditorValue()
+	{
+		return editorValue;
+	}
+
+//
+//  Implement TableCellRenderer interface
+//
+	public Component getTableCellRendererComponent(
+		JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)
+	{
+		if (isSelected)
+		{
+			renderButton.setForeground(table.getSelectionForeground());
+	 		renderButton.setBackground(table.getSelectionBackground());
+		}
+		else
+		{
+			renderButton.setForeground(table.getForeground());
+			renderButton.setBackground(UIManager.getColor("Button.background"));
+		}
+
+		if (hasFocus)
+		{
+			renderButton.setBorder( focusBorder );
+		}
+		else
+		{
+			renderButton.setBorder( originalBorder );
+		}
+
+//		renderButton.setText( (value == null) ? "" : value.toString() );
+		if (value == null)
+		{
+			renderButton.setText( "" );
+			renderButton.setIcon( null );
+		}
+		else if (value instanceof Icon)
+		{
+			renderButton.setText( "" );
+			renderButton.setIcon( (Icon)value );
+		}
+		else
+		{
+			renderButton.setText( value.toString() );
+			renderButton.setIcon( null );
+		}
+
+		return renderButton;
+	}
+
+//
+//  Implement ActionListener interface
+//
+	/*
+	 *	The button has been pressed. Stop editing and invoke the custom Action
+	 */
+	public void actionPerformed(ActionEvent e)
+	{
+		int row = table.convertRowIndexToModel( table.getEditingRow() );
+		fireEditingStopped();
+
+		//  Invoke the Action
+
+		ActionEvent event = new ActionEvent(
+			table,
+			ActionEvent.ACTION_PERFORMED,
+			"" + row);
+		action.actionPerformed(event);
+	}
+
+//
+//  Implement MouseListener interface
+//
+	/*
+	 *  When the mouse is pressed the editor is invoked. If you then then drag
+	 *  the mouse to another cell before releasing it, the editor is still
+	 *  active. Make sure editing is stopped when the mouse is released.
+	 */
+    public void mousePressed(MouseEvent e)
+    {
+    	if (table.isEditing()
+		&&  table.getCellEditor() == this)
+			isButtonColumnEditor = true;
+    }
+
+    public void mouseReleased(MouseEvent e)
+    {
+    	if (isButtonColumnEditor
+    	&&  table.isEditing())
+    		table.getCellEditor().stopCellEditing();
+
+		isButtonColumnEditor = false;
+    }
+
+    public void mouseClicked(MouseEvent e) {}
+	public void mouseEntered(MouseEvent e) {}
+    public void mouseExited(MouseEvent e) {}
+}
Index: SRC/src/fr/triangle/hyperalign/gui/annot/DictionaryPane.java
===================================================================
--- SRC/src/fr/triangle/hyperalign/gui/annot/DictionaryPane.java	(revision 18)
+++ SRC/src/fr/triangle/hyperalign/gui/annot/DictionaryPane.java	(revision 19)
@@ -40,7 +40,7 @@
 import javax.swing.JScrollPane;
 import javax.swing.JTextField;
 
-import fr.triangle.hyperalign.gui.HMManager;
+import fr.triangle.hyperalign.gui.HMController;
 import fr.triangle.hyperalign.gui.Hypermachiavel;
 import fr.triangle.hyperalign.kernel.DataManager.DictionaryManager;
 import fr.triangle.hyperalign.kernel.DisplayData;
@@ -70,7 +70,7 @@
 	private String iconPath = "fr/triangle/hyperalign/gui/icons";
 	private DictionaryParameters parameters;
 	private Vector results;
-	private HMManager manager;
+	private HMController manager;
 	private DictionaryManager dicoManager;
 	
 	private boolean searchForAllConcepts;
@@ -125,9 +125,9 @@
 	private JButton addOccsButt;
 	private boolean hasResults = false;
 
-	public DictionaryPane(HMManager manager){
+	public DictionaryPane(HMController manager){
 		this.manager = manager;
-		this.parameters = manager.getDictionaryParameters();
+		this.parameters = manager.getDictionaryController().getDictionaryParameters();
 		this.dicoManager = manager.getDataManager().getDictionaryManager();
 		this.results = new Vector();	
 		this.res = HyperalignData.getInstance().getResourceBundle();
@@ -419,7 +419,7 @@
 			if(parameters.getOption(DictionaryParameters.DICO_EDITINFO)){
 				textField = dicoElement.getName();
 				if(!parameters.getAnnotationType().equals(Dictionary.DICO_OCC)){
-					nbChildren = ((DictionaryElement) parameters.getAnnotationElement()).children().size()+"";
+					nbChildren = ((DictionaryElement) parameters.getAnnotationElement()).childrenVect().size()+"";
 					if(parameters.getAnnotationType().equals(Dictionary.DICO_DICO)){
 						///TERMINOLOGY
 						titleChildren = res.getString("I18N_ANNOTPANE_CONCEPTS");
Index: SRC/src/fr/triangle/hyperalign/gui/annot/AnnotationPane.java
===================================================================
--- SRC/src/fr/triangle/hyperalign/gui/annot/AnnotationPane.java	(revision 18)
+++ SRC/src/fr/triangle/hyperalign/gui/annot/AnnotationPane.java	(revision 19)
@@ -17,6 +17,7 @@
 import java.awt.event.WindowEvent;
 import java.beans.PropertyChangeEvent;
 import java.beans.PropertyChangeListener;
+import java.util.Enumeration;
 import java.util.HashMap;
 import java.util.Iterator;
 import java.util.Observable;
@@ -39,7 +40,7 @@
 import javax.swing.JScrollPane;
 import javax.swing.JTextField;
 
-import fr.triangle.hyperalign.gui.HMManager;
+import fr.triangle.hyperalign.gui.HMController;
 import fr.triangle.hyperalign.gui.Hypermachiavel;
 import fr.triangle.hyperalign.kernel.DataManager.DictionaryManager;
 import fr.triangle.hyperalign.kernel.DisplayData;
@@ -73,7 +74,7 @@
 	private String iconPath = "fr/triangle/hyperalign/gui/icons";
 	private AnnotationParameters parameters;
 	private Vector results;
-	private HMManager manager;
+	private HMController manager;
 	private TerminologyManager terminoManager;
 	
 	private boolean searchForAllConcepts;
@@ -139,9 +140,9 @@
 	private JButton addOccsButt;
 	private boolean hasResults = false;
 
-	public AnnotationPane(HMManager manager){
+	public AnnotationPane(HMController manager){
 		this.manager = manager;
-		this.parameters = manager.getAnnotationParameters();
+		this.parameters = manager.getAnnotationController().getAnnotationParameters();
 		this.terminoManager = manager.getDataManager().getTerminologyManager();
 		this.results = new Vector();	
 		this.res = HyperalignData.getInstance().getResourceBundle();
@@ -595,7 +596,7 @@
 			if(parameters.getOption(AnnotationParameters.ANNOTATION_EDITINFO)){
 				textField = terminoElement.getName();
 				if(!parameters.getAnnotationType().equals(Terminology.TERMINOLOGY_OCC)){
-					nbChildren = ((TerminologyElement) parameters.getAnnotationElement()).children().size()+"";
+					nbChildren = ((TerminologyElement) parameters.getAnnotationElement()).childrenVect().size()+"";
 					if(parameters.getAnnotationType().equals(Dictionary.DICO_DICO)){
 						///TERMINOLOGY
 						titleChildren = res.getString("I18N_ANNOTPANE_CONCEPTS");
@@ -1102,7 +1103,7 @@
 		}
 		terms.add(termEl);
 		nbOccsAdded = terminoManager.addOccurrences(occs, terms); //termEl.getTerminology(), 
-		manager.getSearchManager().resetSearchTerminology();
+		manager.getSearchController().resetSearchTerminology();
 		String message = nbOccsAdded+" "+res.getString("I18N_ANNOTPANE_OCCS_DIALOGMESSAGE");
 		return message;
 	}
Index: SRC/src/fr/triangle/hyperalign/gui/annot/EquiInfoPane.java
===================================================================
--- SRC/src/fr/triangle/hyperalign/gui/annot/EquiInfoPane.java	(revision 18)
+++ SRC/src/fr/triangle/hyperalign/gui/annot/EquiInfoPane.java	(revision 19)
@@ -30,6 +30,11 @@
 import fr.triangle.hyperalign.kernel.dico.DictionaryElement;
 import fr.triangle.hyperalign.kernel.termino.TerminologyElement;
 
+/**
+ * OLD CLASS ??
+ * @author gazelledess
+ *
+ */
 
 public class EquiInfoPane extends JDialog implements ActionListener, MouseListener, PropertyChangeListener, Observer {
 		
@@ -87,11 +92,7 @@
 			
 			columnNames[0] = res.getString("I18N_EQUIVALENCEINFOPANE_COL0");//Type of Information 
 			columnNames[1] = res.getString("I18N_EQUIVALENCEINFOPANE_COL1");//Nb
-			
-				
-			
 			resultTableModel = new ResultTableModel(columnNames, 4);
-				
 			resultTableModel.setValueAt(res.getString("I18N_EQUIVALENCEINFOPANE_LINE0"), 0, 0); //Nb occurrences (vocabulary) 
 			resultTableModel.setValueAt(res.getString("I18N_EQUIVALENCEINFOPANE_LINE1"), 1, 0); //Nb occurrences (terminology) 
 			resultTableModel.setValueAt(res.getString("I18N_EQUIVALENCEINFOPANE_LINE2")+" "+source, 2, 0); //Nb occurrences (terminology) in equivalence with Imperio
